﻿
namespace EDJournal {
    public class MissionAcceptedEntry : Entry {
        public string Faction { get; set; }
        public string TargetFaction { get; set; }
        public string Name { get; set; }
        public string LocalisedName { get; set; }
        public string LocalisedTargetType { get; set; }
        public int KillCount { get; set; }
        public ulong MissionID { get; set; }
        public long Reward { get; set; }

        protected override void Initialise() {
            Faction = JSON.Value<string>("Faction") ?? "";
            TargetFaction = JSON.Value<string>("TargetFaction") ?? "";
            Name = JSON.Value<string>("Name") ?? "";
            LocalisedName = JSON.Value<string>("LocalisedName") ?? "";
            LocalisedTargetType = JSON.Value<string>("TargetType_Localised") ?? "";
            KillCount = JSON.Value<int?>("KillCount") ?? 0;
            MissionID = JSON.Value<ulong?>("MissionID") ?? 0;
            Reward = JSON.Value<long?>("Reward") ?? 0;
        }
    }
}
